org.apache.tinkerpop.gremlin.process.traversal.dsl.graph

## Class GraphTraversal.Symbols

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversal.Symbols

- Enclosing interface:
    GraphTraversal<S,E>

      public static final class GraphTraversal.Symbols
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `addE`
    `static String` | `addV`
    `static String` | `aggregate`
    `static String` | `and`
    `static String` | `as`
    `static String` | `barrier`
    `static String` | `both`
    `static String` | `bothE`
    `static String` | `bothV`
    `static String` | `branch`
    `static String` | `by`
    `static String` | `cap`
    `static String` | `choose`
    `static String` | `coalesce`
    `static String` | `coin`
    `static String` | `connectedComponent`
    `static String` | `constant`
    `static String` | `count`
    `static String` | `cyclicPath`
    `static String` | `dedup`
    `static String` | `drop`
    `static String` | `E`
    `static String` | `elementMap`
    `static String` | `emit`
    `static String` | `filter`
    `static String` | `flatMap`
    `static String` | `fold`
    `static String` | `from`
    `static String` | `group`
    `static String` | `groupCount`
    `static String` | `has`
    `static String` | `hasId`
    `static String` | `hasKey`
    `static String` | `hasLabel`
    `static String` | `hasNot`
    `static String` | `hasValue`
    `static String` | `id`
    `static String` | `identity`
    `static String` | `in`
    `static String` | `index`
    `static String` | `inE`
    `static String` | `inject`
    `static String` | `inV`
    `static String` | `io`
    `static String` | `is`
    `static String` | `key`
    `static String` | `label`
    `static String` | `limit`
    `static String` | `local`
    `static String` | `loops`
    `static String` | `map`
    `static String` | `match`
    `static String` | `math`
    `static String` | `max`
    `static String` | `mean`
    `static String` | `min`
    `static String` | `not`
    `static String` | `option`
    `static String` | `optional`
    `static String` | `or`
    `static String` | `order`
    `static String` | `otherV`
    `static String` | `out`
    `static String` | `outE`
    `static String` | `outV`
    `static String` | `pageRank`
    `static String` | `path`
    `static String` | `peerPressure`
    `static String` | `program`
    `static String` | `project`
    `static String` | `properties`
    `static String` | `property`
    `static String` | `propertyMap`
    `static String` | `range`
    `static String` | `read`
    `static String` | `repeat`
    `static String` | `sack`
    `static String` | `sample`
    `static String` | `select`
    `static String` | `shortestPath`
    `static String` | `sideEffect`
    `static String` | `simplePath`
    `static String` | `skip`
    `static String` | `store` Deprecated. As of release 3.4.3, replaced by `GraphTraversal.aggregate(java.lang.String)` with a `Scope.local`.
    `static String` | `subgraph`
    `static String` | `sum`
    `static String` | `tail`
    `static String` | `timeLimit`
    `static String` | `times`
    `static String` | `to`
    `static String` | `toE`
    `static String` | `toV`
    `static String` | `tree`
    `static String` | `unfold`
    `static String` | `union`
    `static String` | `until`
    `static String` | `V`
    `static String` | `value`
    `static String` | `valueMap`
    `static String` | `values`
    `static String` | `where`
    `static String` | `with`
    `static String` | `write`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          public static final String map

      See Also:
        Constant Field Values

    - #### flatMap

          public static final String flatMap

      See Also:
        Constant Field Values

    - #### id

          public static final String id

      See Also:
        Constant Field Values

    - #### label

          public static final String label

      See Also:
        Constant Field Values

    - #### identity

          public static final String identity

      See Also:
        Constant Field Values

    - #### constant

          public static final String constant

      See Also:
        Constant Field Values

    - #### V

          public static final String V

      See Also:
        Constant Field Values

    - #### E

          public static final String E

      See Also:
        Constant Field Values

    - #### to

          public static final String to

      See Also:
        Constant Field Values

    - #### out

          public static final String out

      See Also:
        Constant Field Values

    - #### in

          public static final String in

      See Also:
        Constant Field Values

    - #### both

          public static final String both

      See Also:
        Constant Field Values

    - #### toE

          public static final String toE

      See Also:
        Constant Field Values

    - #### outE

          public static final String outE

      See Also:
        Constant Field Values

    - #### inE

          public static final String inE

      See Also:
        Constant Field Values

    - #### bothE

          public static final String bothE

      See Also:
        Constant Field Values

    - #### toV

          public static final String toV

      See Also:
        Constant Field Values

    - #### outV

          public static final String outV

      See Also:
        Constant Field Values

    - #### inV

          public static final String inV

      See Also:
        Constant Field Values

    - #### bothV

          public static final String bothV

      See Also:
        Constant Field Values

    - #### otherV

          public static final String otherV

      See Also:
        Constant Field Values

    - #### order

          public static final String order

      See Also:
        Constant Field Values

    - #### properties

          public static final String properties

      See Also:
        Constant Field Values

    - #### values

          public static final String values

      See Also:
        Constant Field Values

    - #### propertyMap

          public static final String propertyMap

      See Also:
        Constant Field Values

    - #### valueMap

          public static final String valueMap

      See Also:
        Constant Field Values

    - #### elementMap

          public static final String elementMap

      See Also:
        Constant Field Values

    - #### select

          public static final String select

      See Also:
        Constant Field Values

    - #### key

          public static final String key

      See Also:
        Constant Field Values

    - #### value

          public static final String value

      See Also:
        Constant Field Values

    - #### path

          public static final String path

      See Also:
        Constant Field Values

    - #### match

          public static final String match

      See Also:
        Constant Field Values

    - #### math

          public static final String math

      See Also:
        Constant Field Values

    - #### sack

          public static final String sack

      See Also:
        Constant Field Values

    - #### loops

          public static final String loops

      See Also:
        Constant Field Values

    - #### project

          public static final String project

      See Also:
        Constant Field Values

    - #### unfold

          public static final String unfold

      See Also:
        Constant Field Values

    - #### fold

          public static final String fold

      See Also:
        Constant Field Values

    - #### count

          public static final String count

      See Also:
        Constant Field Values

    - #### sum

          public static final String sum

      See Also:
        Constant Field Values

    - #### max

          public static final String max

      See Also:
        Constant Field Values

    - #### min

          public static final String min

      See Also:
        Constant Field Values

    - #### mean

          public static final String mean

      See Also:
        Constant Field Values

    - #### group

          public static final String group

      See Also:
        Constant Field Values

    - #### groupCount

          public static final String groupCount

      See Also:
        Constant Field Values

    - #### tree

          public static final String tree

      See Also:
        Constant Field Values

    - #### addV

          public static final String addV

      See Also:
        Constant Field Values

    - #### addE

          public static final String addE

      See Also:
        Constant Field Values

    - #### from

          public static final String from

      See Also:
        Constant Field Values

    - #### filter

          public static final String filter

      See Also:
        Constant Field Values

    - #### or

          public static final String or

      See Also:
        Constant Field Values

    - #### and

          public static final String and

      See Also:
        Constant Field Values

    - #### inject

          public static final String inject

      See Also:
        Constant Field Values

    - #### dedup

          public static final String dedup

      See Also:
        Constant Field Values

    - #### where

          public static final String where

      See Also:
        Constant Field Values

    - #### has

          public static final String has

      See Also:
        Constant Field Values

    - #### hasNot

          public static final String hasNot

      See Also:
        Constant Field Values

    - #### hasLabel

          public static final String hasLabel

      See Also:
        Constant Field Values

    - #### hasId

          public static final String hasId

      See Also:
        Constant Field Values

    - #### hasKey

          public static final String hasKey

      See Also:
        Constant Field Values

    - #### hasValue

          public static final String hasValue

      See Also:
        Constant Field Values

    - #### is

          public static final String is

      See Also:
        Constant Field Values

    - #### not

          public static final String not

      See Also:
        Constant Field Values

    - #### range

          public static final String range

      See Also:
        Constant Field Values

    - #### limit

          public static final String limit

      See Also:
        Constant Field Values

    - #### skip

          public static final String skip

      See Also:
        Constant Field Values

    - #### tail

          public static final String tail

      See Also:
        Constant Field Values

    - #### coin

          public static final String coin

      See Also:
        Constant Field Values

    - #### io

          public static final String io

      See Also:
        Constant Field Values

    - #### read

          public static final String read

      See Also:
        Constant Field Values

    - #### write

          public static final String write

      See Also:
        Constant Field Values

    - #### timeLimit

          public static final String timeLimit

      See Also:
        Constant Field Values

    - #### simplePath

          public static final String simplePath

      See Also:
        Constant Field Values

    - #### cyclicPath

          public static final String cyclicPath

      See Also:
        Constant Field Values

    - #### sample

          public static final String sample

      See Also:
        Constant Field Values

    - #### drop

          public static final String drop

      See Also:
        Constant Field Values

    - #### sideEffect

          public static final String sideEffect

      See Also:
        Constant Field Values

    - #### cap

          public static final String cap

      See Also:
        Constant Field Values

    - #### property

          public static final String property

      See Also:
        Constant Field Values

    - #### store

          @Deprecated
          public static final String store

      Deprecated. As of release 3.4.3, replaced by `GraphTraversal.aggregate(java.lang.String)` with a `Scope.local`.
      See Also:
        Constant Field Values

    - #### aggregate

          public static final String aggregate

      See Also:
        Constant Field Values

    - #### subgraph

          public static final String subgraph

      See Also:
        Constant Field Values

    - #### barrier

          public static final String barrier

      See Also:
        Constant Field Values

    - #### index

          public static final String index

      See Also:
        Constant Field Values

    - #### local

          public static final String local

      See Also:
        Constant Field Values

    - #### emit

          public static final String emit

      See Also:
        Constant Field Values

    - #### repeat

          public static final String repeat

      See Also:
        Constant Field Values

    - #### until

          public static final String until

      See Also:
        Constant Field Values

    - #### branch

          public static final String branch

      See Also:
        Constant Field Values

    - #### union

          public static final String union

      See Also:
        Constant Field Values

    - #### coalesce

          public static final String coalesce

      See Also:
        Constant Field Values

    - #### choose

          public static final String choose

      See Also:
        Constant Field Values

    - #### optional

          public static final String optional

      See Also:
        Constant Field Values

    - #### pageRank

          public static final String pageRank

      See Also:
        Constant Field Values

    - #### peerPressure

          public static final String peerPressure

      See Also:
        Constant Field Values

    - #### connectedComponent

          public static final String connectedComponent

      See Also:
        Constant Field Values

    - #### shortestPath

          public static final String shortestPath

      See Also:
        Constant Field Values

    - #### program

          public static final String program

      See Also:
        Constant Field Values

    - #### by

          public static final String by

      See Also:
        Constant Field Values

    - #### with

          public static final String with

      See Also:
        Constant Field Values

    - #### times

          public static final String times

      See Also:
        Constant Field Values

    - #### as

          public static final String as

      See Also:
        Constant Field Values

    - #### option

          public static final String option

      See Also:
        Constant Field Values

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.